NewLoginServiceAsync (gCube Bundle Login Portlet 2.0.0-SNAPSHOT API)
Date: 2014-05-10

org.gcube.portlets.user.gcubelogin.client.stubs

## Interface NewLoginServiceAsync

-     public interface NewLoginServiceAsync

  Version:
    2.0 Jan 10th 2012
  Author:
    Massimiliano Assante ISTI-CNR, Rena Tsantouli, NKUA

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMembershipRequest(String scope, String optionalMessage, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`
    `void` | `checkInfrastructure(String infrastructure, String startScopes, com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<CheckResult>>> callback)`
    `void` | `checkVresPresence(String infrastructure, String startScopes, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `createAdministratorAccount(String email, String password, String firstname, String lastname, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `getConfigFromGCore(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)`
    `void` | `getInfrastructureVOs(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VO>> callback)`
    `void` | `getRootVO(com.google.gwt.user.client.rpc.AsyncCallback<VO> callback)`
    `void` | `getSelectedRE(com.google.gwt.user.client.rpc.AsyncCallback<ResearchEnvironment> callback)`
    `void` | `getVresFromInfrastructure(String infrastructure, String startScopes, com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VO>> callback)`
    `void` | `installPortalEnv(String infrastructure, String startScopes, SelectedTheme theme, boolean automaticRedirect, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `installVREs(ArrayList<VO> parents, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `isLayoutLoaded(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
    `void` | `loadLayout(String scope, String URL, com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)`

- - ### Method Detail

    - #### getSelectedRE

          void getSelectedRE(com.google.gwt.user.client.rpc.AsyncCallback<ResearchEnvironment> callback)

    - #### isLayoutLoaded

          void isLayoutLoaded(com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getInfrastructureVOs

          void getInfrastructureVOs(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VO>> callback)

    - #### addMembershipRequest

          void addMembershipRequest(String scope,
                                  String optionalMessage,
                                  com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### loadLayout

          void loadLayout(String scope,
                        String URL,
                        com.google.gwt.user.client.rpc.AsyncCallback<Void> callback)

    - #### getRootVO

          void getRootVO(com.google.gwt.user.client.rpc.AsyncCallback<VO> callback)

    - #### installPortalEnv

          void installPortalEnv(String infrastructure,
                              String startScopes,
                              SelectedTheme theme,
                              boolean automaticRedirect,
                              com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getConfigFromGCore

          void getConfigFromGCore(com.google.gwt.user.client.rpc.AsyncCallback<String[]> callback)

    - #### checkInfrastructure

          void checkInfrastructure(String infrastructure,
                                 String startScopes,
                                 com.google.gwt.user.client.rpc.AsyncCallback<HashMap<String,ArrayList<CheckResult>>> callback)

    - #### checkVresPresence

          void checkVresPresence(String infrastructure,
                               String startScopes,
                               com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### getVresFromInfrastructure

          void getVresFromInfrastructure(String infrastructure,
                                       String startScopes,
                                       com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VO>> callback)

    - #### installVREs

          void installVREs(ArrayList<VO> parents,
                         com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

    - #### createAdministratorAccount

          void createAdministratorAccount(String email,
                                        String password,
                                        String firstname,
                                        String lastname,
                                        com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

Copyright © 2014. All Rights Reserved.